//+------------------------------------------------------------------+
//|                                                      TradeVolume |
//|                                          Copyright  Profitrader |
//|                                    Coded/Verified by Profitrader |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Profitrader."
#property link      "profitrader@inbox.ru"

#property indicator_chart_window
//---- input parameters
extern int TimeFrame=30;
extern color DataColor=OliveDrab;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectDelete("VolEURUSD");
   ObjectDelete("VolGBPUSD");
   ObjectDelete("VolAUDUSD");
   ObjectDelete("VolUSDCHF");
   ObjectDelete("VolUSDJPY");
   ObjectDelete("VolUSDCAD");
   ObjectDelete("VolGBPJPY");
   ObjectDelete("VolGBPCHF");
   ObjectDelete("VolEURJPY");
   ObjectDelete("VolEURCHF");
   ObjectDelete("VolCHFJPY");
   ObjectDelete("ChartPeriod");
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int VolEURUSD=iVolume("EURUSD",TimeFrame,0);
   int VolGBPUSD=iVolume("GBPUSD",TimeFrame,0);
   int VolAUDUSD=iVolume("AUDUSD",TimeFrame,0);
   int VolUSDCHF=iVolume("USDCHF",TimeFrame,0);
   int VolUSDJPY=iVolume("USDJPY",TimeFrame,0);
   int VolUSDCAD=iVolume("USDCAD",TimeFrame,0);
   int VolGBPJPY=iVolume("GBPJPY",TimeFrame,0);
   int VolGBPCHF=iVolume("GBPCHF",TimeFrame,0);
   int VolEURJPY=iVolume("EURJPY",TimeFrame,0);
   int VolEURCHF=iVolume("EURCHF",TimeFrame,0);
   int VolCHFJPY=iVolume("CHFJPY",TimeFrame,0);
   ObjectCreate("ChartPeriod",OBJ_LABEL,0,0,0);
   ObjectSet("ChartPeriod",OBJPROP_CORNER,1);
   ObjectSet("ChartPeriod",OBJPROP_XDISTANCE,1);
   ObjectSet("ChartPeriod",OBJPROP_YDISTANCE,0);
   ObjectSetText("ChartPeriod",""+TimeFrame+"min. Volume",8,"Tahoma",DataColor);
   ObjectCreate("VolEURUSD",OBJ_LABEL,0,0,0);
   ObjectSet("VolEURUSD",OBJPROP_CORNER,1);
   ObjectSet("VolEURUSD",OBJPROP_XDISTANCE,1);
   ObjectSet("VolEURUSD",OBJPROP_YDISTANCE,10);
   ObjectSetText("VolEURUSD","EURUSD "+VolEURUSD+"",8,"Tahoma",DataColor);
   ObjectCreate("VolGBPUSD",OBJ_LABEL,0,0,0);
   ObjectSet("VolGBPUSD",OBJPROP_CORNER,1);
   ObjectSet("VolGBPUSD",OBJPROP_XDISTANCE,1);
   ObjectSet("VolGBPUSD",OBJPROP_YDISTANCE,20);
   ObjectSetText("VolGBPUSD","GBPUSD "+VolGBPUSD+"",8,"Tahoma",DataColor);
   ObjectCreate("VolAUDUSD",OBJ_LABEL,0,0,0);
   ObjectSet("VolAUDUSD",OBJPROP_CORNER,1);
   ObjectSet("VolAUDUSD",OBJPROP_XDISTANCE,1);
   ObjectSet("VolAUDUSD",OBJPROP_YDISTANCE,30);
   ObjectSetText("VolAUDUSD","AUDUSD "+VolAUDUSD+"",8,"Tahoma",DataColor);
   ObjectCreate("VolUSDCHF",OBJ_LABEL,0,0,0);
   ObjectSet("VolUSDCHF",OBJPROP_CORNER,1);
   ObjectSet("VolUSDCHF",OBJPROP_XDISTANCE,1);
   ObjectSet("VolUSDCHF",OBJPROP_YDISTANCE,40);
   ObjectSetText("VolUSDCHF","USDCHF "+VolUSDCHF+"",8,"Tahoma",DataColor);
   ObjectCreate("VolUSDJPY",OBJ_LABEL,0,0,0);
   ObjectSet("VolUSDJPY",OBJPROP_CORNER,1);
   ObjectSet("VolUSDJPY",OBJPROP_XDISTANCE,1);
   ObjectSet("VolUSDJPY",OBJPROP_YDISTANCE,50);
   ObjectSetText("VolUSDJPY","USDJPY "+VolUSDJPY+"",8,"Tahoma",DataColor);
   ObjectCreate("VolUSDCAD",OBJ_LABEL,0,0,0);
   ObjectSet("VolUSDCAD",OBJPROP_CORNER,1);
   ObjectSet("VolUSDCAD",OBJPROP_XDISTANCE,1);
   ObjectSet("VolUSDCAD",OBJPROP_YDISTANCE,60);
   ObjectSetText("VolUSDCAD","USDCAD "+VolUSDCAD+"",8,"Tahoma",DataColor);
   ObjectCreate("VolGBPJPY",OBJ_LABEL,0,0,0);
   ObjectSet("VolGBPJPY",OBJPROP_CORNER,1);
   ObjectSet("VolGBPJPY",OBJPROP_XDISTANCE,1);
   ObjectSet("VolGBPJPY",OBJPROP_YDISTANCE,70);
   ObjectSetText("VolGBPJPY","GBPJPY "+VolGBPJPY+"",8,"Tahoma",DataColor);
   ObjectCreate("VolGBPCHF",OBJ_LABEL,0,0,0);
   ObjectSet("VolGBPCHF",OBJPROP_CORNER,1);
   ObjectSet("VolGBPCHF",OBJPROP_XDISTANCE,1);
   ObjectSet("VolGBPCHF",OBJPROP_YDISTANCE,80);
   ObjectSetText("VolGBPCHF","GBPCHF "+VolGBPCHF+"",8,"Tahoma",DataColor);
   ObjectCreate("VolEURJPY",OBJ_LABEL,0,0,0);
   ObjectSet("VolEURJPY",OBJPROP_CORNER,1);
   ObjectSet("VolEURJPY",OBJPROP_XDISTANCE,1);
   ObjectSet("VolEURJPY",OBJPROP_YDISTANCE,90);
   ObjectSetText("VolEURJPY","EURJPY "+VolEURJPY+"",8,"Tahoma",DataColor);
   ObjectCreate("VolEURCHF",OBJ_LABEL,0,0,0);
   ObjectSet("VolEURCHF",OBJPROP_CORNER,1);
   ObjectSet("VolEURCHF",OBJPROP_XDISTANCE,1);
   ObjectSet("VolEURCHF",OBJPROP_YDISTANCE,100);
   ObjectSetText("VolEURCHF","EURCHF "+VolEURCHF+"",8,"Tahoma",DataColor);
   ObjectCreate("VolCHFJPY",OBJ_LABEL,0,0,0);
   ObjectSet("VolCHFJPY",OBJPROP_CORNER,1);
   ObjectSet("VolCHFJPY",OBJPROP_XDISTANCE,1);
   ObjectSet("VolCHFJPY",OBJPROP_YDISTANCE,110);
   ObjectSetText("VolCHFJPY","CHFJPY "+VolCHFJPY+"",8,"Tahoma",DataColor);
//----
   return(0);
  }
//+------------------------------------------------------------------+